VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::DiskTypes::Info Class Reference

The `Disk.Info` class contains information about a virtual disk. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetLabel ()
| Device label.
void | SetLabel (string label)
| Device label.
vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType | Get_Type ()
| Type of host bus adapter to which the device is attached.
void | SetType (vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType type)
| Type of host bus adapter to which the device is attached.
vmware.vcenter.vm.hardware.IdeAddressInfo | GetIde ()
| Address of device attached to a virtual IDE adapter.
void | SetIde (vmware.vcenter.vm.hardware.IdeAddressInfo ide)
| Address of device attached to a virtual IDE adapter.
vmware.vcenter.vm.hardware.ScsiAddressInfo | GetScsi ()
| Address of device attached to a virtual SCSI adapter.
void | SetScsi (vmware.vcenter.vm.hardware.ScsiAddressInfo scsi)
| Address of device attached to a virtual SCSI adapter.
vmware.vcenter.vm.hardware.SataAddressInfo | GetSata ()
| Address of device attached to a virtual SATA adapter.
void | SetSata (vmware.vcenter.vm.hardware.SataAddressInfo sata)
| Address of device attached to a virtual SATA adapter.
vmware.vcenter.vm.hardware.DiskTypes.BackingInfo | GetBacking ()
| Physical resource backing for the virtual disk.
void | SetBacking (vmware.vcenter.vm.hardware.DiskTypes.BackingInfo backing)
| Physical resource backing for the virtual disk.
long | GetCapacity ()
| Capacity of the virtual disk in bytes.
void | SetCapacity (long?capacity)
| Capacity of the virtual disk in bytes.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Disk.Info` class contains information about a virtual disk.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::DiskTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::DiskTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::DiskTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::DiskTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::DiskTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::DiskTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::DiskTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType vmware::vcenter::vm::hardware::DiskTypes::Info::Get_Type | ( |  | ) | `[inline]`

Type of host bus adapter to which the device is attached.

vmware.vcenter.vm.hardware.DiskTypes.BackingInfo vmware::vcenter::vm::hardware::DiskTypes::Info::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual disk.

long vmware::vcenter::vm::hardware::DiskTypes::Info::GetCapacity | ( |  | ) | `[inline]`

Capacity of the virtual disk in bytes.

override int vmware::vcenter::vm::hardware::DiskTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.IdeAddressInfo vmware::vcenter::vm::hardware::DiskTypes::Info::GetIde | ( |  | ) | `[inline]`

Address of device attached to a virtual IDE adapter.

string vmware::vcenter::vm::hardware::DiskTypes::Info::GetLabel | ( |  | ) | `[inline]`

Device label.

vmware.vcenter.vm.hardware.SataAddressInfo vmware::vcenter::vm::hardware::DiskTypes::Info::GetSata | ( |  | ) | `[inline]`

Address of device attached to a virtual SATA adapter.

vmware.vcenter.vm.hardware.ScsiAddressInfo vmware::vcenter::vm::hardware::DiskTypes::Info::GetScsi | ( |  | ) | `[inline]`

Address of device attached to a virtual SCSI adapter.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetBacking | ( | vmware.vcenter.vm.hardware.DiskTypes.BackingInfo | backing | ) | `[inline]`

Physical resource backing for the virtual disk.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetCapacity | ( | long? | capacity | ) | `[inline]`

Capacity of the virtual disk in bytes.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetIde | ( | vmware.vcenter.vm.hardware.IdeAddressInfo | ide | ) | `[inline]`

Address of device attached to a virtual IDE adapter.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetLabel | ( | string | label | ) | `[inline]`

Device label.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetSata | ( | vmware.vcenter.vm.hardware.SataAddressInfo | sata | ) | `[inline]`

Address of device attached to a virtual SATA adapter.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetScsi | ( | vmware.vcenter.vm.hardware.ScsiAddressInfo | scsi | ) | `[inline]`

Address of device attached to a virtual SCSI adapter.

void vmware::vcenter::vm::hardware::DiskTypes::Info::SetType | ( | vmware.vcenter.vm.hardware.DiskTypes.HostBusAdapterType | type | ) | `[inline]`

Type of host bus adapter to which the device is attached.

override string vmware::vcenter::vm::hardware::DiskTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DiskTypes.cs